Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.x.com/llms.txt

Use this file to discover all available pages before exploring further.

The List Members endpoints let you view List members, add members to your Lists, and remove them. You can also see which Lists a user is a member of.

Overview

View members

Get all members of a List

Add member

Add a user to your List

Remove member

Remove a user from your List

Memberships

See Lists a user is on

Endpoints

List members lookup

MethodEndpointDescription
GET/2/lists/:id/membersGet members of a List
GET/2/users/:id/list_membershipsGet Lists a user is on

Manage List members

MethodEndpointDescription
POST/2/lists/:id/membersAdd a member
DELETE/2/lists/:id/members/:user_idRemove a member

Example: Get List members

curl "https://api.x.com/2/lists/1234567890/members?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"

Example: Add a member

curl -X POST "https://api.x.com/2/lists/1234567890/members" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"user_id": "9876543210"}'

Getting started

Prerequisites

Lookup quickstart

Get members of a List

Manage quickstart

Add and remove members

Integration guide

Key concepts and best practices

API Reference

Full endpoint documentation